%define		pkg	npm-registry-client
Summary:	Client for the npm registry
Name:		nodejs-%{pkg}
Version:	0.2.18
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/npm-registry-client
# download from https://github.com/isaacs/%{pkg}/tarball/%%{version}
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	abb6717b1ef92dfcdb1208a9b6f6e3b1
BuildRequires:	rpmbuild(macros) >= 1.634
BuildRequires:	sed >= 4.0
Requires:	nodejs
Requires:	nodejs-couch-login
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client for the npm registry.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a package.json index.js lib $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%{nodejs_libdir}/%{pkg}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-npm-registry-client.git;a=log;h=master

* Sat Mar 09 2013 Aria <aredridel@nbtsc.org> d0fba5c
v0.2.18

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 61a16f5
v0.2.17

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> b045e90
v0.2.13

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 8ebe339
Initial commit

